Index: pjproject/trunk/pjsip/src/pjsua2/call.cpp
===================================================================
--- pjproject/trunk/pjsip/src/pjsua2/call.cpp	(revision 6024)
+++ pjproject/trunk/pjsip/src/pjsua2/call.cpp	(revision 6026)
@@ -445,5 +445,5 @@
 }
 
-CallInfo Call::getInfo() const throw(Error)
+CallInfo Call::getInfo() const PJSUA2_THROW(Error)
 {
     pjsua_call_info pj_ci;
@@ -500,5 +500,5 @@
 }
 
-AudioMedia Call::getAudioMedia(int med_idx) const throw(Error)
+AudioMedia Call::getAudioMedia(int med_idx) const PJSUA2_THROW(Error)
 {
     pjsua_call_info pj_ci;
@@ -538,5 +538,5 @@
 }
 
-VideoMedia Call::getEncodingVideoMedia(int med_idx) const throw(Error)
+VideoMedia Call::getEncodingVideoMedia(int med_idx) const PJSUA2_THROW(Error)
 {
     pjsua_call_info pj_ci;
@@ -576,5 +576,5 @@
 }
 
-VideoMedia Call::getDecodingVideoMedia(int med_idx) const throw(Error)
+VideoMedia Call::getDecodingVideoMedia(int med_idx) const PJSUA2_THROW(Error)
 {
     pjsua_call_info pj_ci;
@@ -636,5 +636,5 @@
 }
 
-pj_stun_nat_type Call::getRemNatType() throw(Error)
+pj_stun_nat_type Call::getRemNatType() PJSUA2_THROW(Error)
 {
     pj_stun_nat_type nat;
@@ -645,5 +645,6 @@
 }
 
-void Call::makeCall(const string &dst_uri, const CallOpParam &prm) throw(Error)
+void Call::makeCall(const string &dst_uri, const CallOpParam &prm)
+		    PJSUA2_THROW(Error)
 {
     pj_str_t pj_dst_uri = str2Pj(dst_uri);
@@ -655,5 +656,5 @@
 }
 
-void Call::answer(const CallOpParam &prm) throw(Error)
+void Call::answer(const CallOpParam &prm) PJSUA2_THROW(Error)
 {
     call_param param(prm.txOption, prm.opt, prm.reason,
@@ -661,5 +662,6 @@
     
     if (param.sdp) {
-    	PJSUA2_CHECK_EXPR( pjsua_call_answer_with_sdp(id, param.sdp, param.p_opt,
+    	PJSUA2_CHECK_EXPR( pjsua_call_answer_with_sdp(id, param.sdp,
+						      param.p_opt,
     						      prm.statusCode,
                                               	      param.p_reason,
@@ -672,5 +674,5 @@
 }
 
-void Call::hangup(const CallOpParam &prm) throw(Error)
+void Call::hangup(const CallOpParam &prm) PJSUA2_THROW(Error)
 {
     call_param param(prm.txOption, prm.opt, prm.reason);
@@ -680,26 +682,30 @@
 }
 
-void Call::setHold(const CallOpParam &prm) throw(Error)
+void Call::setHold(const CallOpParam &prm) PJSUA2_THROW(Error)
 {
     call_param param(prm.txOption, prm.opt, prm.reason);
     
-    PJSUA2_CHECK_EXPR( pjsua_call_set_hold2(id, prm.options, param.p_msg_data));
-}
-
-void Call::reinvite(const CallOpParam &prm) throw(Error)
+    PJSUA2_CHECK_EXPR( pjsua_call_set_hold2(id, prm.options,
+					    param.p_msg_data) );
+}
+
+void Call::reinvite(const CallOpParam &prm) PJSUA2_THROW(Error)
 {
     call_param param(prm.txOption, prm.opt, prm.reason);
 
-    PJSUA2_CHECK_EXPR( pjsua_call_reinvite2(id, param.p_opt, param.p_msg_data));
-}
-
-void Call::update(const CallOpParam &prm) throw(Error)
+    PJSUA2_CHECK_EXPR( pjsua_call_reinvite2(id, param.p_opt,
+					    param.p_msg_data) );
+}
+
+void Call::update(const CallOpParam &prm) PJSUA2_THROW(Error)
 {
     call_param param(prm.txOption, prm.opt, prm.reason);
     
-    PJSUA2_CHECK_EXPR( pjsua_call_update2(id, param.p_opt, param.p_msg_data) );
-}
-
-void Call::xfer(const string &dest, const CallOpParam &prm) throw(Error)
+    PJSUA2_CHECK_EXPR( pjsua_call_update2(id, param.p_opt,
+					  param.p_msg_data) );
+}
+
+void Call::xfer(const string &dest, const CallOpParam &prm)
+		PJSUA2_THROW(Error)
 {
     call_param param(prm.txOption);
@@ -710,18 +716,19 @@
 
 void Call::xferReplaces(const Call& dest_call,
-                  const CallOpParam &prm) throw(Error)
+                  const CallOpParam &prm) PJSUA2_THROW(Error)
 {
     call_param param(prm.txOption);
     
     PJSUA2_CHECK_EXPR(pjsua_call_xfer_replaces(id, dest_call.getId(),
-                                               prm.options, param.p_msg_data) );
-}
-
-void Call::processRedirect(pjsip_redirect_op cmd) throw(Error)
+                                               prm.options,
+					       param.p_msg_data) );
+}
+
+void Call::processRedirect(pjsip_redirect_op cmd) PJSUA2_THROW(Error)
 {
     PJSUA2_CHECK_EXPR(pjsua_call_process_redirect(id, cmd));
 }
 
-void Call::dialDtmf(const string &digits) throw(Error)
+void Call::dialDtmf(const string &digits) PJSUA2_THROW(Error)
 {
     pj_str_t pj_digits = str2Pj(digits);
@@ -730,5 +737,5 @@
 }
 
-void Call::sendDtmf(const CallSendDtmfParam &param) throw (Error)
+void Call::sendDtmf(const CallSendDtmfParam &param) PJSUA2_THROW(Error)
 {
     pjsua_call_send_dtmf_param pj_param = param.toPj();
@@ -739,5 +746,5 @@
 
 void Call::sendInstantMessage(const SendInstantMessageParam& prm)
-    throw(Error)
+    PJSUA2_THROW(Error)
 {
     pj_str_t mime_type = str2Pj(prm.contentType);
@@ -750,5 +757,5 @@
 
 void Call::sendTypingIndication(const SendTypingIndicationParam &prm)
-    throw(Error)
+    PJSUA2_THROW(Error)
 {
     call_param param(prm.txOption);
@@ -760,13 +767,14 @@
 }
 
-void Call::sendRequest(const CallSendRequestParam &prm) throw(Error)
+void Call::sendRequest(const CallSendRequestParam &prm) PJSUA2_THROW(Error)
 {
     pj_str_t method = str2Pj(prm.method);
     call_param param(prm.txOption);
     
-    PJSUA2_CHECK_EXPR(pjsua_call_send_request(id, &method, param.p_msg_data) );
-}
-
-string Call::dump(bool with_media, const string indent) throw(Error)
+    PJSUA2_CHECK_EXPR(pjsua_call_send_request(id, &method,
+					      param.p_msg_data) );
+}
+
+string Call::dump(bool with_media, const string indent) PJSUA2_THROW(Error)
 {
 #if defined(PJMEDIA_HAS_RTCP_XR) && (PJMEDIA_HAS_RTCP_XR != 0)
@@ -804,5 +812,6 @@
 
 void Call::vidSetStream(pjsua_call_vid_strm_op op,
-                        const CallVidSetStreamParam &param) throw(Error)
+                        const CallVidSetStreamParam &param)
+			PJSUA2_THROW(Error)
 {
 #if PJSUA_HAS_VIDEO
@@ -820,5 +829,5 @@
 }
 
-StreamInfo Call::getStreamInfo(unsigned med_idx) const throw(Error)
+StreamInfo Call::getStreamInfo(unsigned med_idx) const PJSUA2_THROW(Error)
 {
     pjsua_stream_info pj_si;
@@ -830,5 +839,5 @@
 }
 
-StreamStat Call::getStreamStat(unsigned med_idx) const throw(Error)
+StreamStat Call::getStreamStat(unsigned med_idx) const PJSUA2_THROW(Error)
 {
     pjsua_stream_stat pj_ss;
@@ -841,5 +850,5 @@
 
 MediaTransportInfo Call::getMedTransportInfo(unsigned med_idx) const
-    throw(Error)
+    PJSUA2_THROW(Error)
 {
     pjmedia_transport_info pj_mti;
